<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Tipos de Intervención : "/>
        <p:separator />
    <h:form rendered="#{!tipoIntervencionMB.editMode}">
		<p:commandButton value="Nuevo" action="#{tipoIntervencionMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="tiposIntervencion" var="ent" value="#{tipoIntervencionMB.list}" widgetVar="tablaTiposIntervencion"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Tipo de Intervención:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tablaTiposIntervencion').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>           

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Proceso" />
                </f:facet>
                <p:outputLabel value="#{ent.tipoCircuito.code}" />
            </p:column>        

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Categoría" />
                </f:facet>
                <p:outputLabel value="#{ent.categoriaTipoIntervencion.descripcion}" />
            </p:column>    

            <p:column filterBy="#{ent.descripcion}" headerText="Tipo de intervención" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{tipoIntervencionMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages tiposIntervencion" action="#{tipoIntervencionMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Tipo Intervención?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{tipoIntervencionMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form rendered="#{tipoIntervencionMB.editMode}">
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="nombre" value="Tipo de intervención : " />
                <p:inputText id="nombre" value="#{tipoIntervencionMB.instance.descripcion}" label="Tipo de Intervención" required="true"/>
                <p:message for="nombre" display="icon"/>
            
            	<p:outputLabel for="campoPuedeAdjuntar" value="Lleva documento adjunto : " />
            	<p:selectBooleanCheckbox id="campoPuedeAdjuntar" value="#{tipoIntervencionMB.instance.puedeAdjuntarDoc}">
            	</p:selectBooleanCheckbox>
            	<p:message for="campoPuedeAdjuntar" display="icon"/>
            	
                <p:outputLabel for="categoria" value="Categoría :"/>
          		<p:selectOneMenu id="categoria" value="#{tipoIntervencionMB.instance.categoriaTipoIntervencion}" converter="categoriaTipoIntervencionConverter" required="true" label="Categoria">
              		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
              		<f:selectItems value="#{commonSelectorsMB.getCategoriasTipoIntervencion(tipoIntervencionMB.instance.categoriaTipoIntervencion)}" var="categoriaTipoIntervencion"
                             itemValue="#{categoriaTipoIntervencion}"
                             itemLabel="#{categoriaTipoIntervencion.descripcion}"/>
          		</p:selectOneMenu>
   			 	<p:message for="categoria" display="icon"/>
   			 	
                <p:outputLabel for="circuito" value="Proceso :"/>
          		<p:selectOneMenu id="circuito" value="#{tipoIntervencionMB.instance.tipoCircuito}" required="true" label="Circuito">
              		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
              		<f:selectItems value="#{commonSelectorsMB.valoresTipoCircuito}" var="tpoCircuito"
                             itemValue="#{tpoCircuito}"
                             itemLabel="#{tpoCircuito.descripcion}"/>
                    <p:ajax event="itemSelect" update="campoIntervencionCese,campoHabilitaInclusion" />
          		</p:selectOneMenu>
   			 	<p:message for="circuito" display="icon"/>
            
            	<p:outputLabel for="campoIntervencionCese" value="Intervencion de cese : " />
            	<p:selectBooleanCheckbox id="campoIntervencionCese" value="#{tipoIntervencionMB.instance.intervencionCese}"
            		disabled="#{!tipoIntervencionMB.tieneCese()}">
            	</p:selectBooleanCheckbox>
            	<p:message for="campoIntervencionCese" display="icon"/>
            
            	<p:outputLabel for="campoHabilitaInclusion" value="Habilita inclusion PE : " />
            	<p:selectBooleanCheckbox id="campoHabilitaInclusion" value="#{tipoIntervencionMB.instance.habilitaInclusionPE}"
            		disabled="#{!tipoIntervencionMB.circuitoMPE()}">
            	</p:selectBooleanCheckbox>
            	<p:message for="campoHabilitaInclusion" display="icon"/>
            
           		<p:outputLabel for="template" value="Template :"/>
           		<p:editor id="template" widgetVar="informeWidget" value="#{tipoIntervencionMB.instance.template}" width="800" />
           		<h:panelGroup/>
           		
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{tipoIntervencionMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{tipoIntervencionMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
